Summary: Call-graph profiler plugin for valgrind
Name:	 valgrind-callgrind
Version: 0.9.9
Release: 0.1%{?dist_tag}.kde 
Source0: http://kcachegrind.sourceforge.net/callgrind-0.9.9.tar.gz
License: GPL
URL: 	 http://kcachegrind.sourceforge.net/
Group: 	 Development/Debuggers
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
ExclusiveArch: %{ix86}

Obsoletes: callgrind < %{version}-%{release}
Provides:  callgrind = %{version}-%{release}

BuildRequires: valgrind >= 2.2.0
Requires: valgrind >= 2.2.0
# For make check
BuildRequires: qt-devel

# Disable build root strip policy
%define __spec_install_post /usr/lib/rpm/brp-compress || :

# Disable -debuginfo package generation
%define debug_package	%{nil}

%description
This is a skin (aka plugin) for Valgrind, a program instrumentation
system for IA-32 Linux.  It is based on the cachegrind skin, a cache
simulator from the valgrind core package.  It adds call-graph
profiling.

%prep
%setup -q -n callgrind-%{version}


%build
# make check below needs to compile/link against Qt
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure --program-prefix="%{?_program_prefix}"
make %{?_smp_mflags}

# test
echo ===============TESTING===================
make check
echo ===============END TESTING===============


%install
rm -rf $RPM_BUILD_ROOT

#makeinstall
make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

mkdir docs.installed
mv $RPM_BUILD_ROOT%{_datadir}/doc/valgrind/* docs.installed/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS COPYING README TODO
%doc docs.installed/*
%{_bindir}/*
%{_libdir}/valgrind
%{_includedir}/valgrind


%changelog
* Thu Sep  2 2004 Jakub Jelinek <jakuB@redhat.com> 0.9.8-2
- rebuild with valgrind 2.2.0

* Wed Sep  1 2004 Jakub Jelinek <jakuB@redhat.com> 0.9.8-1
- initial package
